package com.gyee.frame.service.report;

import com.gyee.frame.common.base.BaseService;
import com.gyee.frame.common.support.Convert;
import com.gyee.frame.mapper.auto.Wttragetreportkkxfx3Mapper;
import com.gyee.frame.model.auto.Wttragetreportkkxfx3;
import com.gyee.frame.model.auto.Wttragetreportkkxfx3Example;
import com.gyee.frame.util.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * 线路 Wttragetreportkkxfx3Service
 * @Title: Wttragetreportkkxfx3Service.java 
 * @Package com.gyee.frame.service 
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2019-12-31 14:58:09  
 **/
@Service
public class Wttragetreportkkxfx3Service implements BaseService<Wttragetreportkkxfx3, Wttragetreportkkxfx3Example> {
	@Resource
	private Wttragetreportkkxfx3Mapper wttragetreportkkxfx3Mapper;
	
   
	@Override
	public int deleteByPrimaryKey(String ids) {
				
			List<Integer> lista=Convert.toIntArrayList(ids);
			Wttragetreportkkxfx3Example example=new Wttragetreportkkxfx3Example();
			example.createCriteria().andIdIn(lista);
			return wttragetreportkkxfx3Mapper.deleteByExample(example);
			
				
	}
	
	
	@Override
	public Wttragetreportkkxfx3 selectByPrimaryKey(String id) {
				
			return wttragetreportkkxfx3Mapper.selectByPrimaryKey(Integer.valueOf(id));
				
	}

	
	@Override
	public int updateByPrimaryKeySelective(Wttragetreportkkxfx3 record) {
		return wttragetreportkkxfx3Mapper.updateByPrimaryKeySelective(record);
	}
	
	
	/**
	 * 添加
	 */
	@Override
	public int insertSelective(Wttragetreportkkxfx3 record) {
				
		
				
		return wttragetreportkkxfx3Mapper.insertSelective(record);
	}
	
	
	@Override
	public int updateByExampleSelective(Wttragetreportkkxfx3 record, Wttragetreportkkxfx3Example example) {
		
		return wttragetreportkkxfx3Mapper.updateByExampleSelective(record, example);
	}

	
	@Override
	public int updateByExample(Wttragetreportkkxfx3 record, Wttragetreportkkxfx3Example example) {
		
		return wttragetreportkkxfx3Mapper.updateByExample(record, example);
	}

	@Override
	public List<Wttragetreportkkxfx3> selectByExample(Wttragetreportkkxfx3Example example) {
		
		return wttragetreportkkxfx3Mapper.selectByExample(example);
	}

	
	@Override
	public long countByExample(Wttragetreportkkxfx3Example example) {
		
		return wttragetreportkkxfx3Mapper.countByExample(example);
	}

	
	@Override
	public int deleteByExample(Wttragetreportkkxfx3Example example) {
		
		return wttragetreportkkxfx3Mapper.deleteByExample(example);
	}

	public List<Wttragetreportkkxfx3> findWttragetreportkkxfx3(Integer tid,String wtId) {


		List<Wttragetreportkkxfx3> list=new ArrayList<>();

		if(StringUtils.notEmp(tid) && StringUtils.notEmp(wtId))
		{
			Wttragetreportkkxfx3Example example=new Wttragetreportkkxfx3Example();
			example.setOrderByClause("recorddate asc");

			Wttragetreportkkxfx3Example.Criteria criteria =example.createCriteria();

			criteria.andTidEqualTo(tid);
			criteria.andWtidEqualTo(wtId);
			list= wttragetreportkkxfx3Mapper.selectByExample(example);
		}

		return list;

	}

}
